input {
    margin: 10px;
    max-width: 400px;
    width: 100%;
    height: 30px;
}

input[type="checkbox"] {
    width: auto;
}

.overlay {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #3366CC;
    z-index: 20;
    transition: .3s all;
}

.modal {
    opacity: 0;
    visibility: hidden;
    width: 100%;
    max-width: 500px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 30;
    padding: 30px;
    border-radius: 5px;
    background-color: #3399CC;
    transition: 0.3s all;
}

.main {
    display: flex;
    flex-direction: column;
}

.modal.active,
.overlay.active {
    opacity: 1;
    visibility: visible;
}

.modal__cross {
    width: 15px;
    height: 15px;
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
}

a {
    position: relative;
    font-weight: 700;
    color: white;
    text-decoration: none;
    padding: .8em 1em calc(.8em + 3px);
    border-radius: 3px;
    background: rgb(64,199,129);
    box-shadow: 0 -3px rgb(53,167,110) inset;
    transition: 0.2s;
}

a:hover { 
    background: rgb(53, 167, 110);
}

a:active {
    background: rgb(33,147,90);
    box-shadow: 0 3px rgb(33,147,90) inset;
}


@media screen and (max-width: 570px) {
    input {
        width: 90%;
    }
    
    input[type="checkbox"] {
        width: auto;
    }

    .modal{
        width: 70%;
    }
}
